Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1340583 - gluster peer status shows 'peer rejected'
Summary: gluster peer status shows 'peer rejected'
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Atin Mukherjee
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-28 00:44 UTC by Cal Calhoun
Modified: 2019-11-14 08:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-30 04:51:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Cal Calhoun 2016-05-28 00:44:06 UTC
Description of problem:

Added two new nodes to a Red Hat Gluster cluster.  Some of the existing nodes are not properly peering with the new nodes.  The message "State: Peer Rejected (Connected)" appears.

Version-Release number of selected component (if applicable):

Cluster has 8 nodes of version RHGS-3.1.1 (glusterfs-3.7.1) with 2 new nodes of RHGS-3.1.2 (glusterfs-3.7.5).

The 2 new nodes were rejected by the cluster saying that the checksum of a volume does not match between the existing nodes and the new nodes.

During a remote session, copyied the contents of /var/lib/glusterd/vols from one of the good nodes to the new nodes being added and then restarted glusterd on the new nodes.

Customer was finally able to expand two volumes which has them operational again but the concern is that their cluster being heterogeneous may be causing problems.


Note You need to log in before you can comment on or make changes to this bug.